import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  patientId: z.literal(true).optional(),
  filename: z.literal(true).optional(),
  originalName: z.literal(true).optional(),
  mimeType: z.literal(true).optional(),
  fileSize: z.literal(true).optional(),
  filePath: z.literal(true).optional(),
  uploadedAt: z.literal(true).optional(),
  updatedAt: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const PatientDocumentCountAggregateInputObjectSchema: z.ZodType<Prisma.PatientDocumentCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentCountAggregateInputType>;
export const PatientDocumentCountAggregateInputObjectZodSchema = makeSchema();
